Query Parameters
limit?integer
Maximum number of rows to return.
Range
1 <= value <= 100Default
20offset?integer
Offset for pagination.
Range
0 <= valueDefault
0active?boolean
Filter by active status.
closed?boolean
Filter by closed status.
archived?boolean
Filter by archived status.
tag?string
Filter by tag slug. Alias of tag_slug.
tag_id?integer
Filter by numeric tag id.
tag_slug?string
Filter by tag slug.
event_id?integer
Filter markets by numeric event id.
event_slug?string
Filter markets by event slug. Alias: eventSlug.
conditionId?string
Filter markets by condition id. Alias: condition_id.
slug?string
Filter markets by market slug.
order?string
Sort column for the response.
ascending?boolean
Set to true for ascending order.
Default
falsecreator?string
Optional creator filter. Use a creator wallet address or a site identifier to scope results to markets available on that site.
Response Body
application/json
application/json
curl -X GET "https://example.com/markets"[ { "id": "540816", "question": "Russia-Ukraine Ceasefire before GTA VI?", "conditionId": "0x9c1a953fe92c8357f1b646ba25d983aa83e90c525992db14fb726fa895cb5763", "slug": "russia-ukraine-ceasefire-before-gta-vi-554", "resolutionSource": "", "endDate": "2026-07-31T12:00:00Z", "startDate": "2025-05-02T15:48:00.174Z", "image": "https://polymarket-upload.s3.us-east-2.amazonaws.com/what-will-happen-before-gta-vi-7hpNkEzQEqUE.jpg", "icon": "https://polymarket-upload.s3.us-east-2.amazonaws.com/what-will-happen-before-gta-vi-7hpNkEzQEqUE.jpg", "description": "This market will resolve to \"Yes\" if there is an official ceasefire agreement between Russia and Ukraine before GTA VI is officially released in the US.", "outcomes": "[\"Yes\", \"No\"]", "clobTokenIds": "[\"8501497159083948713316135768103773293754490207922884688769443031624417212426\", \"2527312495175492857904889758552137141356236738032676480522356889996545113869\"]", "active": true, "closed": false, "archived": false, "createdAt": "2025-05-02T15:03:10.397014Z", "updatedAt": "2026-04-14T20:50:23.030512Z", "questionID": "0x74dcd73f29877722e217723e10f2e8f9a888976f7cfc796234b75a3d3214d1c8", "events": [ { "id": "23784", "ticker": "what-will-happen-before-gta-vi", "slug": "what-will-happen-before-gta-vi", "title": "What will happen before GTA VI?" } ] }]{ "type": "bad request", "error": "q is required"}